/* PRUEBA COMMIT */

/* Cargar la fuente Genos desde Google Fonts */
@import url('https://fonts.googleapis.com/css2?family=Genos:wght@300&display=swap');

/* Establecer el padding para el contenedor principal */
main > .container {
    padding: 70px 15px 20px;
}

/* Aplicar la fuente Genos a todo el contenido dentro del elemento <main> */
main {
    font-family: 'Genos', sans-serif;
}

/* Establecer el color de fondo y el color del texto para el cuerpo del documento */
body {
    background-color: #010305; /* Fondo negro */
    color: #ffff00; /* Texto amarillo */
    font-family: 'Genos', sans-serif; /* Fuente Genos */
}

/* Establecer el color de fondo y el tamaño de fuente para el pie de página */
.footer {
    background-color: #282828; /* Fondo gris oscuro */
    font-size: .9em; /* Tamaño de fuente reducido */
    height: 60px; /* Altura del pie de página */
}

/* Establecer el color de fondo para las migas de pan (breadcrumbs) */
.breadcrumb {
    background-color: #282828; /* Fondo gris oscuro */
}

/* Establecer el color del texto de los enlaces en las migas de pan */
.breadcrumb-item > a {
    color: #ffff00; /* Texto amarillo */
}

/* Establecer el color del texto activo en las migas de pan */
.breadcrumb-item.active {
    color: #efefef; /* Texto blanco */
}

/* Establecer el padding para el contenedor dentro del pie de página */
.footer > .container {
    padding-right: 15px;
    padding-left: 15px;
}

/* Establecer el color y el estilo de fuente para elementos con la clase .not-set */
.not-set {
    color: #c55; /* Color rojo */
    font-style: italic; /* Estilo de fuente en cursiva */
}

/* Añadir iconos de ordenación a los enlaces de ordenación en la vista de cuadrícula */
a.asc:after, a.desc:after {
    content: '';
    left: 3px;
    display: inline-block;
    width: 0;
    height: 0;
    border: solid 5px transparent;
    margin: 4px 4px 2px 4px;
    background: transparent;
}

/* Icono de orden ascendente */
a.asc:after {
    border-bottom: solid 7px #212529; /* Triángulo negro apuntando hacia arriba */
    border-top-width: 0;
}

/* Icono de orden descendente */
a.desc:after {
    border-top: solid 7px #212529; /* Triángulo negro apuntando hacia abajo */
    border-bottom-width: 0;
}

/* Evitar el salto de línea en las celdas de encabezado de la vista de cuadrícula */
.grid-view th {
    white-space: nowrap;
}

/* Establecer el estilo para los bloques de sugerencias */
.hint-block {
    display: block;
    margin-top: 5px;
    color: #999; /* Color gris claro */
}

/* Establecer el estilo para el resumen de errores */
.error-summary {
    color: #a94442; /* Texto rojo */
    background: #fdf7f7; /* Fondo rosa claro */
    border-left: 3px solid #eed3d7; /* Borde izquierdo rosa oscuro */
    padding: 10px 20px;
    margin: 0 0 15px 0;
}

/* Alinear el botón de cierre de sesión en la barra de navegación */
.nav li > form > button.logout {
    padding-top: 7px;
    color: rgba(255, 255, 255, 0.5); /* Color blanco semitransparente */
}

/* Estilo del botón de cierre de sesión en pantallas pequeñas */
@media(max-width:767px) {
    .nav li > form > button.logout {
        display: block;
        text-align: left;
        width: 100%;
        padding: 10px 0;
    }
}

/* Eliminar el subrayado en el hover y en la selección de los botones en el home */
.nav > li > form > button.logout:focus,
.nav > li > form > button.logout:hover {
    text-decoration: none;
    color: rgba(255, 255, 255, 0.75); /* Color blanco semitransparente */
}

/* Eliminar el subrayado en el hover y en la selección de los botones en el home */
.nav > li > form > button.logout:focus {
    outline: none;
}

/* Centrar el texto en las clases de las tarjetas del home */
nav.navbar > div.container {
    max-width: none;
    align-content: center;
}

/* Crear un grid en el home */
div.body-content a {
    display: grid;
}

/* Formato de las tarjetas y del color del texto */
div.btn {
    padding: 50px;
    margin-bottom: 33px;
    white-space: nowrap;
    overflow: hidden;
    background-color: #131313 !important; /* Fondo negro */
    color: #ffff00; /* Texto amarillo */
}

/* Color negro en el hover */
div.btn:hover {
    background-color: #282828 !important; /* Fondo gris oscuro */
}

/* Colores en los botones al pulsar */
.btn-success {
    background-color: #131313; /* Fondo negro */
    border-color: #ffff00; /* Borde amarillo */
    color: #ffff00; /* Texto amarillo */
}

/* Colores en los botones al hacer hover, pulsar y aceptar */
.btn-success:hover, .btn-success:active, .btn-success:focus {
    border-color: #ffff00 !important; /* Borde amarillo */
    background-color: #282828 !important; /* Fondo gris oscuro */
}

/* Eliminar la decoración del texto en el hover de los enlaces dentro del contenido principal */
div.body-content a:hover {
    text-decoration: none !important;
}

/* Establecer el color de fondo de la barra de navegación */
.navbar {
    background-color: #282828; /* Fondo gris oscuro */
}

/* Establecer el color del texto para los enlaces de la barra de navegación y las tablas */
a.navbar-brand, a.nav-link, a, .table, th > a {
    color: #ffff00 !important; /* Texto amarillo */
}
